RESFINDER.PY(1)

NAME
resfinder.py - identify acquired antimicrobial resistance genes

SYNOPSIS
resfinder.py [-h] -i INPUTFILE [INPUTFILE ...] [-o OUT_PATH] [-tmp TMP_DIR] [-mp METHOD_PATH] [-p DB_PATH] [-d DATABASES] [-l MIN_COV] [-t THRESHOLD] [-ao ACQ_OVERLAP] [-matrix] [-x] [-q]

OPTIONS

  optional arguments:

-h, --help
    show this help message and exit

-i INPUTFILE [INPUTFILE ...], --inputfile INPUTFILE [INPUTFILE ...]
    FASTA or FASTQ input files.

-o OUT_PATH, --outputPath OUT_PATH
    Path to blast output

-tmp TMP_DIR, --tmp_dir TMP_DIR
    Temporary directory for storage of the results from the external software.

-mp METHOD_PATH, --methodPath METHOD_PATH
    Path to method to use (kma or blastn)

-p DB_PATH, --databasePath DB_PATH
    Path to the databases

-d DATABASES, --databases DATABASES
    Databases chosen to search in - if none are specified all are used

-l MIN_COV, --min_cov MIN_COV
    Minimum coverage

-t THRESHOLD, --threshold THRESHOLD
    Blast threshold for identity

-ao ACQ_OVERLAP, --acq_overlap ACQ_OVERLAP
    Genes are allowed to overlap this number of nucleotides. Default: 30.

-matrix, --matrix
    Gives the counts all all called bases at each position in each mapped template. Columns are: reference base, A count, C count, G count, T count, N count, - count.

-x, --extended_output
    Give extended output with alignment files, template and query hits in fasta and a tab separated file with gene profile results

-q, --quiet

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.